Skip to main content

Create a role for an application

POST 

/nevisidm/api/core/v1/applications/:extId/roles

Since: 2.74.0

Required permission(s): AccessControl.ApplicationView,AccessControl.RoleCreate

Creates a new role for the application with the given external ID.

The role name must be unique within the application and conform to the configured identifier naming policy. If no external ID is provided for the role, one is generated automatically.

Request

Path Parameters

    extId stringrequired

    External ID of the application.

    Example: app-123

Body

required
    extId string

    The external ID of the role. If not provided, it will be generated automatically.

    name stringrequired

    Possible values: non-empty

    The name of the role.

    description string

    The textual description of the role.

Responses

Role created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...